跳转到主要内容
POST
/
producer
/
upload
上传音频
curl --request POST \
  --url https://api.mountsea.ai/producer/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "audioUrl": "https://example.com/song.mp3"
}
'
{
  "taskId": "<string>"
}
通过 URL 上传音频文件。上传的音频可用于音轨分离和其他操作。
这是一个异步任务。响应中包含一个 taskId — 使用获取任务状态来轮询结果,结果中包含后续操作所需的 audioId
支持的格式:MP3、WAV、FLAC、M4A、AAC、OGG、WMA、OPUS 时长限制:最长 4 分钟
audioUrl 必须是可公开访问的 URL。任务结果中会包含自动转录的歌词(如可用)。

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
audioUrl
string
必填

Audio file URL (http/https supported). Supported formats: .mp3, .wav, .flac, .m4a, .aac, .ogg, .wma, .opus Duration limit: max 4 minutes

Pattern: AUDIO_EXTENSION_REGEX
示例:

"https://example.com/song.mp3"

响应

任务创建成功

taskId
string
必填

任务 ID,用于后续查询结果